0

We've tried to upgrade OpenGeoSuite 3.1 on an Ubuntu server to version 4.0 following http://suite.opengeo.org/opengeo-docs/installation/ubuntu/upgrade.html#installation-ubuntu-upgrade However we are experiencing several problems afterwards:

  • WPS extention (which doesn't seem to be included in OGS 4.0 anymore) doesn't work after dropping the according jars in the lib directory (GetCapabilities & DescribeProcess do work, Execute not)
  • GML 3.x is not served

Has anyone experienced similar problems or can give us a hint? Can it be an issue in the Snaphot version?

A general question: Why does OpenGeoSuite use Snapshot versions of Geoserver and not the latest stable release?

  • For WPS it is actually an extension in the 4.0 packages, available in the "geoserver-wps" package. For the GML 3.x not being served it must be an error. Would need a stack trace or error log to provide more feedback. – jdeolive Dec 2 '13 at 16:39
  • For the question about snapshot versions. Mostly we don't track tagged GeoServer versions because it changes so fast and its hard to line up all the components of the suite with a tagged GeoServer version. But a stable snapshot is always used which is just as stable as a tagged release. – jdeolive Dec 2 '13 at 16:42
  • Thanks for the quick responses and sorry for the false alarm! Somehow processes and GML3 seem to work today. I must have had errors in my requests as I can't make out any differnences in the system setup. – tobik Dec 3 '13 at 16:29

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.